Subject: bug#35360: 26.2; Default bindings of `A' and `Q' in Dired, for MS Windows users

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Apr 2019 22:07:21 +0300

> Date: Sun, 21 Apr 2019 13:47:26 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> 
> These keys used to be bound to `dired-do-search' and
> `dired-do-query-replace-regexp', by default.  Those commands, which
> still exist (good), do not require a Windows user to have `find' or
> `grep' OS commands available.  They require only an Emacs TAGS file.
> 
> Shouldn't the default bindings of `A' and `Q' DTRT on MS Windows out of
> the box?  Why assume that Windows users have GNU/Linux commands or their
> equivalents?  Can't Emacs either bind these keys to what they were bound
> to previously or test first whether the requisite OS commands are
> available before binding these keys to Emacs commands that won't be
> usable for many Windows users?

Patches welcome to use Lisp replacements for 'find' and 'grep' on
Windows (with a defcustom that will allow to use the external programs
when they are available).

> It would be better, IMHO, to keep `A' and `Q' bound to their previous,
> TAGS-based commands, and introduce new key bindings for the new xref
> commands.

I don't think this is going to happen, nor that it should happen.
We've had this discussion before, I think more than once, it's time to
let go.